%define name nagios-plugins
%define version 1.3.0
%define release 1mdk

%define nsusr nagios
%define nsgrp nagios

Summary:	Host/service/network monitoring program plugins for Nagios
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Other
URL:		http://nagiosplug.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
PreReq:		rpm-helper
Requires:	fileutils
Requires:	fping
Requires:	gawk
Requires:	grep
Requires:	libdb3.3
Requires:	libldap2
Requires:	libmysql12
Requires:	libopenssl0.9.7
Requires:	libpq3
Requires:	libpython2.2
Requires:	libradius0
Requires:	libsasl7
Requires:	libnet-snmp50
Requires:	ntp
Requires:	pam
Requires:	perl
Requires:	python
Requires:	samba-client
Requires:	shadow-utils
Requires:	textutils
Requires:	traceroute
Requires:	net-snmp-utils
Requires:	bind-utils
Requires:	zlib1
Requires:	perl-Net-SNMP
BuildRequires:	libdb4.0-devel
BuildRequires:	libldap2-devel
BuildRequires:	libmysql12-devel
BuildRequires:	libopenssl0.9.7-devel
BuildRequires:	libradius0-devel
BuildRequires:	libsasl7-devel
BuildRequires:	libnet-snmp50-devel
BuildRequires:	postgresql-devel
BuildRequires:	zlib-devel
BuildRequires:	pam-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot
Obsoletes:	netsaint-plugins
Provides:	netsaint-plugins

%description
Nagios is a program that will monitor hosts and services on your
network, and to email or page you when a problem arises or is
resolved. Nagios runs on a Unix server as a background or daemon
process, intermittently running checks on various services that you
specify. The actual service checks are performed by separate "plugin"
programs which return the status of the checks to Nagios.

This package contains the basic plugins necessary for use with the
Nagios package.  This package should install cleanly on almost any
RPM-based system.

%prep

%setup -q -n %{name}-%{version}

%build
%serverbuild

# this is one of the wierdest configure line and build I have ever done...

./configure \
    --prefix=%{_libdir}/nagios/plugins \
    --libdir=%{_libdir}/nagios/plugins \
    --libexecdir=%{_libdir}/nagios/plugins \
    --with-cgiurl=/nagios/cgi-bin \
    --with-nagios-user=%{nsusr} \
    --with-nagios-grp=%{nsgrp} \
    --with-trusted-path="/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin" \
    --with-openssl=%{_includedir}/openssl \
    --with-pgsql=%{_includedir}/pgsql \
    --with-mysqllibdir=%{_includedir}/mysql \
    --with-df-command="/bin/df -Pk" \
    --with-ping-command="/bin/ping -n %%s -c %%d"

make CFLAGS="%{optflags}" \
LDFLAGS="-L%{_libdir} -I%{_includedir}/ldap -I%{_includedir}/mysql -I%{_includedir}/pgsql -I%{_includedir}/openssl"

make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

install -d -m0755 %{buildroot}%{_sysconfdir}/nagios
install -d -m0755 %{buildroot}%{_libdir}/nagios/plugins/contrib

make AM_INSTALL_PROGRAM_FLAGS="" DESTDIR=%{buildroot} install

pushd contrib
find . -type f -exec /usr/bin/perl -e 's/^#!\/usr\/local\/bin\/perl/#!\/usr\/bin\/perl/gi' -p -i \{\} \;
find . -type f -exec /usr/bin/perl -e 's/^#!\/nyet\/bin\/perl/#!\/usr\/bin\/perl/gi' -p -i \{\} \;
install -m755 check* %{buildroot}%{_libdir}/nagios/plugins/contrib/
popd

# install the config file
install -m0644 command.cfg %{buildroot}%{_sysconfdir}/nagios/

# don't ship dev files
rm %{buildroot}%{_libdir}/nagios/plugins/contrib/*.c

%pre
%_pre_useradd %{nsusr} /var/log/nagios /bin/sh

%postun
%_postun_userdel %{nsusr}

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS CODING ChangeLog FAQ INSTALL LEGAL NEWS README REQUIREMENTS SUPPORT
%attr(644,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/nagios/command.cfg
%defattr(755,root,root)
%dir %{_libdir}/nagios/plugins
%{_libdir}/nagios/plugins/*

%changelog
* Sat Mar 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.0-1mdk
- 1.3.0
- drop P0, seems included upstream

* Sat Feb 15 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.0-0.beta2.5mdk
- possible fix for #1417 by Benjamin Pflugmann
- fix requires and buildrequires for the correct openssl and mysql packages
- rebuild against latest requires and buildrequires
- requires bind-utils

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.0-0.beta2.4mdk
- requires libpq3

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.0-0.beta2.3mdk
- build release

* Sat Dec 07 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.0-0.beta2.2mdk
- create the %{nsusr} user in %%pre
- fix "configure-without-libdir-spec"
- fix BuildRequires and Requires
- major spec file fixes

* Mon Nov 25 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.0-0.beta2.1mdk
- new version
- drop P0
- misc spec file fixes

* Sun Sep 15 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3b1-2mdk
- fixed the invalid ping command and call automake not automake-1.4,
  pointed out by Guillaume Bourque.

* Thu Aug 15 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3b1-1mdk
- initial cooker contrib
